WordPress.org

Ready to get started?Download WordPress

Forums

Where is the Atom 1.0 feed? (11 posts)

  1. Yngwin
    Member
    Posted 8 years ago #

    As Atom 0.3 is deprecated, we really need to start using Atom 1.0. But, neither RC1, nor current subversion, contain an Atom 1.0 feed - WP is still using the deprecated 0.3 format.

    Trac shows that this issue was noted months ago and patches have been supplied. Can Matt himself, or someone else in the know, explain why this is not included in 2.0? I really don't understand the reasoning behind this.

  2. Yngwin
    Member
    Posted 8 years ago #

    I'm a bit disappointed none of the devs have taken the effort to answer my question. So I've taken this one step further and taken the liberty to push this issue forward in Trac.

  3. Yngwin
    Member
    Posted 8 years ago #

    And, once again, Matt has postponed this to 2.1 and downgraded to low priority, without a word of explanation.

    Thanks so much...

  4. Well, if it comes down to it, it wouldn't be hard to make it into a plugin.

  5. Yngwin
    Member
    Posted 8 years ago #

    Except that, as I learned today, the 0.3 format is actually invalid as of now. So WP 2.0 will ship with an invalid Atom feed... And how many people will be bothered to get the patch/plugin/whatever? Why can't WordPress just do this right?

  6. Yes, I agree, it should be included in 2.0. I mean, hasn't someone already provided a patch and no work is really required to get Atom 1.0 working?

  7. Yngwin
    Member
    Posted 8 years ago #

    According to http://weblog.philringnalda.com/2005/12/13/your-forthcoming-feed-errors the provided patches are not completely correct. So we need a bit more work on that.

  8. Yngwin
    Member
    Posted 8 years ago #

    Matt has finally given his reasons for excluding Atom 1.0 support from WP 2.0. The main one was that there is no patch available that really works to satisfaction. I'm currently working on one that should do everything necessary for inclusion into the next release.

  9. Yngwin
    Member
    Posted 8 years ago #

  10. Let's hope we can get it fully working with valid code and get in before the next release. I really agree that WordPress should contain the latest and greatest, especially with the large auidence it serves.

  11. rolandog
    Member
    Posted 8 years ago #

    Nope... still a security release, this 2.0.2 version...

Topic Closed

This topic has been closed to new replies.

About this Topic

Tags